Commit ccbe35b4 authored by Philip Müller's avatar Philip Müller

[pkg-upd] 418.43-1

parent fc82180c
......@@ -3,12 +3,12 @@
# Maintainer: Philip Müller <philm@manjaro.org>
_linuxprefix=linux421
_extramodules=extramodules-4.21-MANJARO
_linuxprefix=linux50
_extramodules=extramodules-5.0-MANJARO
pkgname=$_linuxprefix-nvidia
_pkgname=nvidia
pkgver=415.25
pkgrel=0
pkgver=418.43
pkgrel=1
epoch=1
provides=("$_pkgname=$pkgver")
groups=("$_linuxprefix-extramodules")
......@@ -23,7 +23,7 @@ install=nvidia.install
options=(!strip)
durl="http://us.download.nvidia.com/XFree86/Linux-x86"
source_x86_64=("${durl}_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run")
sha256sums_x86_64=('2031f3227df1bb2bff84f5783e97b2a72ad5cf064cfa3ad68dd369ff27dc95e6')
sha256sums_x86_64=('55cb410c5337f46a48636c2bd5ecb42bf1f4367059394e374b16a8f067de3187')
[[ "$CARCH" = "x86_64" ]] && _pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
......
post_install() {
EXTRAMODULES='extramodules-4.20-MANJARO'
EXTRAMODULES='extramodules-5.0-MANJARO'
depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
echo 'In order to use nvidia module, reboot the system.'
}
post_upgrade() {
EXTRAMODULES='extramodules-4.20-MANJARO'
EXTRAMODULES='extramodules-5.0-MANJARO'
depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
if [ "$(vercmp $2 310.19-2)" -lt 0 ]; then
echo 'If your card is from the 7xxx series or earlier, install nvidia-304xx'
......@@ -13,6 +13,6 @@ post_upgrade() {
}
post_remove() {
EXTRAMODULES='extramodules-4.20-MANJARO'
EXTRAMODULES='extramodules-5.0-MANJARO'
depmod $(cat /usr/lib/modules/$EXTRAMODULES/version)
}
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment